#
# spec file for package mate-panel
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname  libmate-panel-applet-4
%define sover   1
%define typelib typelib-1_0-MatePanelApplet-4_0
%define _version 1.18
Name:           mate-panel
Version:        1.18.3
Release:        2.1
Summary:        MATE Desktop Panel
License:        GPL-2.0+
Group:          System/GUI/Other
Url:            https://mate-desktop.org/
Source:         http://pub.mate-desktop.org/releases/%{_version}/%{name}-%{version}.tar.xz
Source1:        %{name}-branding.gschema.override.in
Source2:        baselibs.conf
# PATCH-FIX-OPENSUSE mate-panel-layouts-suse.patch sor.alexei@meowr.ru -- Correct missing elements.
Patch0:         %{name}-layouts-suse.patch
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  libxml2-python
BuildRequires:  mate-common >= %{_version}
BuildRequires:  pkgconfig
BuildRequires:  popt-devel
BuildRequires:  update-desktop-files
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(NetworkManager)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(dconf) >= 0.13.4
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.14
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(libmate-menu)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libwnck-3.0)
BuildRequires:  pkgconfig(mate-desktop-2.0) >= %{_version}
BuildRequires:  pkgconfig(mateweather) >= %{_version}
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xrandr) >= 1.3
Requires:       %{name}-branding >= %{version}
Requires:       gsettings-backend-dconf
Requires:       gvfs-backends
Recommends:     %{name}-lang
# Remove old packages.
Obsoletes:      mate-panel-matecomponent-support

%description
This package contains MATE Desktop Panel. The panel is an
easy-to-use and functional interface to manage your desktop, start
programs, and organise access to your data.

%package branding-upstream
Summary:        The MATE Desktop Panel -- Upstream default layout
License:        GPL-2.0+
Group:          System/GUI/Other
Requires:       %{name} = %{version}
Supplements:    packageand(%{name}:branding-upstream)
Conflicts:      otherproviders(%{name}-branding)
Provides:       %{name}-branding = %{version}
BuildArch:      noarch
#BRAND: Provides /usr/share/mate-panel/panel-default-layout.layout
#BRAND: which contains the default layout.
#BRAND: Branding package should require packages with applets in
#BRAND: the default layout.
%glib2_gsettings_schema_requires

%description branding-upstream
This package contains the MATE Desktop Panel. The panel is an
easy-to-use and functional interface to manage your desktop, start
programs, and organise access to your data.

This package contains the upstream default layout for MATE Panel.

%package -n %{soname}-%{sover}
Summary:        MATE Panel Applet Library -- matecomponent-based library
License:        LGPL-2.1+
Group:          System/Libraries

%description -n %{soname}-%{sover}
This package contains MATE Desktop Panel. The panel is an
easy-to-use and functional interface to manage your desktop, start
programs, and organise access to your data.

%package -n %{typelib}
Summary:        MATE Panel Applet Library typelib
License:        GPL-2.0+
Group:          System/GUI/Other

%description -n %{typelib}
This package contains MATE Desktop Panel. The panel is an
easy-to-use and functional interface to manage your desktop, start
programs, and organise access to your data.

%package devel
Summary:        MATE Panel Applet Library -- Development Files
License:        GPL-2.0+
Group:          Development/Libraries/Other
Requires:       %{soname}-%{sover} = %{version}
Requires:       %{typelib} = %{version}

%description devel
This package contains the MATE Desktop Panel. The panel is an
easy-to-use and functional interface to manage your desktop, start
programs, and organise access to your data.

%lang_package

%prep
%setup -q
%patch0 -p1
cp -a %{SOURCE1} zz-mate-panel-upream-branding.gschema.override

%build
NOCONFIGURE=1 mate-autogen
%configure \
  --libexecdir=%{_libexecdir}/%{name} \
  --disable-static                    \
  --enable-introspection              \
  --disable-scrollkeeper
make %{?_smp_mflags} V=1

%install
%make_install
mkdir -p %{buildroot}%{_datadir}/mate/
%find_lang %{name} %{?no_lang_C}
find %{buildroot} -type f -name "*.la" -delete -print
%fdupes %{buildroot}%{_datadir}/mate/
%fdupes %{buildroot}%{_datadir}/mate-panel/
%fdupes %{buildroot}%{_includedir}/
%suse_update_desktop_file %{name}

# And install schema override file to get it applied.
mkdir -p %{buildroot}%{_datadir}/glib-2.0/schemas/
install -m 0644 zz-mate-panel-upream-branding.gschema.override %{buildroot}%{_datadir}/glib-2.0/schemas/

%post
%desktop_database_post
%icon_theme_cache_post
%glib2_gsettings_schema_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%glib2_gsettings_schema_postun

%post -n %{soname}-%{sover} -p /sbin/ldconfig

%postun -n %{soname}-%{sover} -p /sbin/ldconfig

%post branding-upstream
%glib2_gsettings_schema_post

%postun branding-upstream
%glib2_gsettings_schema_postun

%files
%defattr(-,root,root)
%doc ChangeLog README COPYING
%{_mandir}/man?/mate-panel.?%{?ext_man}
%{_mandir}/man?/mate-panel-test-applets.?%{?ext_man}
%{_mandir}/man?/mate-desktop-item-edit.?%{?ext_man}
%{_bindir}/mate-desktop-item-edit
%{_bindir}/mate-panel
%{_bindir}/mate-panel-test-applets
%{_libexecdir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/help/C/
%{_datadir}/icons/hicolor/*/apps/%{name}*
%{_datadir}/%{name}/
# Files from branding-upstream.
%exclude %{_datadir}/glib-2.0/schemas/zz-mate-panel-upream-branding.gschema.override

%files branding-upstream
%defattr (-,root,root)
%{_datadir}/glib-2.0/schemas/zz-mate-panel-upream-branding.gschema.override

%files -n %{soname}-%{sover}
%defattr(-,root,root)
%dir %{_datadir}/mate
%{_libdir}/%{soname}.so.%{sover}*

%files -n %{typelib}
%defattr(-,root,root)
%{_libdir}/girepository-1.0/MatePanelApplet-4.0.typelib

%files devel
%defattr(-,root,root)
%{_includedir}/mate-panel-4.0/
%{_libdir}/pkgconfig/libmatepanelapplet-4.0.pc
%{_libdir}/%{soname}.so
%{_datadir}/gir-1.0/MatePanelApplet-4.0.gir
%{_datadir}/gtk-doc/html/%{name}-applet/

%files lang -f %{name}.lang
%defattr(-,root,root)
%{_datadir}/help/
%exclude %{_datadir}/help/C/

%changelog
* Mon Jun 12 2017 sor.alexei@meowr.ru
- Update to version 1.18.3 (changes since 1.18.1):
  * status-notifier: Fix a crash on unknown signal name.
  * Fix build with gcc 4.9 (looks like it's in c89 mode by default).
  * Run dialogue: Add an option to reverse history view.
  * Run dialogue: Fix wrong history len with max size 1.
  * Run dialogue: Allow changing history size.
  * Run dialogue: Fix wrong history order.
  * status-notifier: Do not hide passive items.
  * Properly fit expanded panel to smaller screen size.
  * system-tray: Properly propagate orientation changes.
  * notification-area: Fix item orientation.
  * Fix moving applets between panels.
  * Fix l10n in panel launchers.
  * Status notifier: Follow the same menu theme as the rest of the
    panel.
  * clock: Properly handle visibility of the edit button.
  * clock: Move GtkButton in another horizontal GtkBox parent.
  * Fix launching Mozo from menubar/menu-button when menulibre
    isn't installed.
  * menu: Fix a crash when some .desktop file has an empty Icon
    field.
  * menu: Restore focus after closing popup menu of a menuitem.
  * menu: Restore focus after drag-n-dropping menuitem outside.
  * Some misc fixes and cleanups.
  * Update translations.
* Wed Apr  5 2017 sor.alexei@meowr.ru
- Update to version 1.18.1:
  * Reenable workspace switcher wrapping.
  * status-notifier: Fix handling of icon-padding style property.
  * Simplify panel description shown when switching panels with the
    window manager.
  * status-notifier: Plug a memory leak.
  * Remove the deprecated sys/timeb.h header, as nothing uses it.
  * status-notifier-watcher: Allow re-registration of registered
    items.
  * Fix setup a custom icon.
  * Revert "Suppress the shutdown option in the panel if
    LTSP_CLIENT is set".
  * notification area: Fix memory leak sorting items.
  * Update translations.
* Tue Mar 14 2017 sor.alexei@meowr.ru
- Update to version 1.18.0:
  * NEWS: Use consistent, project wide, markdown-like formatting to
    make generating release announcements easier.
  * Build: Require libmate-menu >= 1.10 and dconf >= 0.13.4.
  * Build: Require libmateweather and libmate-desktop >= 1.17.
  * Move to GTK+3 (require GTK+ >= 3.14), drop the GTK+2 code and
  - -with-gtk build option.
  * Launchers: Add desktop actions support for additional launch
    options.
  * Menu applets: Add support for Menulibre menu editor, and prefer
    it over Mozo if both are installed.
  * Notification area: Add StatusNotifier support.
  * Fix lots of GTK+ deprecations and runtime warnings.
  * Don't spam accessible name changes when it is translated.
  * Some code cleanups.
  * Update translations.
* Wed Feb  8 2017 sor.alexei@meowr.ru
- Update to version 1.16.1:
  * Clock applet: Mark a current day in the calendar.
  * Clock applet: Update a tooltip only when new text is different
    (fixes some OpenGL issues in fullscreen applications).
  * GTK+3: Stop the calendar window from jumping when
    expanding/folding locations.
  * GTK+3: Fix showing an icon at the mouse cursor on a launcher
    drag-n-drop.
  * GTK+3: Fix a heap of runtime warnings.
* Tue Sep 20 2016 sor.alexei@meowr.ru
- Update to version 1.16.0:
  * Use GtkAboutDialog instead of MateAboutDialog.
  * GTK+3: Use GtkColorButton/GtkColorChooser in properties
    dialogue.
  * GTK+3: fix a lot of deprecations.
  * Some more fixes and cleanups.
  * Update translations.
* Sun Aug 14 2016 sor.alexei@meowr.ru
- Update to version 1.14.2:
  * Some fixes for opensuse.layout.
  * Some more fixes and cleanups.
  * Make distcheck use currently selected GTK+ version.
  * Update translations.
- Rebase mate-panel-layouts-suse.patch.
* Wed Jun  8 2016 sor.alexei@meowr.ru
- Update to version 1.14.1:
  * Fix missing focus for panel widgets.
  * panel-widget: Add missing function declaration for
    GTK+ >= 3.18.
  * Add missing variable initialisation.
  * Restore correct applet finalising code.
  * Revert "Cancel background settings upon
    MatePanelAppletFrameDBus destruction.
  * na-try-child: Add missing include for GTK_Version_Check.
  * configure: Remove unused python-related directive.
  * Update translations.
* Sat Apr  9 2016 sor.alexei@meowr.ru
- Update to version 1.14.0:
  * Make max number of bookmarks in menu (before submenu is created)
    configurable via GSettings key
  * Some more fixes and cleanups.
  * Update translations.
  * Add Changelog generation.
* Tue Mar 29 2016 sor.alexei@meowr.ru
- Update to version 1.13.2:
  * GTK+3.18: Apply panelplug rework.
  * GTK+3.18/3.20: Move background handling toplevel.
  * GTK+3.18: Revert a hack not needed with moved bg code.
  * GTK+3.20: adjust CSS classes for WnckPager.
  * Use GTK+3.20 custom bg fixes only for > gtk+-3.18 and
    > glib-2.42.
  * GTK+3.20: Prevent transparent panel on BG change.
  * GTK+3.20: Fix custom BG change on applets.
  * Make MAX_ITEMS_OR_SUBMENU configurable.
  * GTK+3.20: Preserve default background.
  * GTK+3.20: Force custom BG drawing on applets.
  * GTK+3.20: Make custom background work on main panel.
* Sun Feb 21 2016 sor.alexei@meowr.ru
- Update to version 1.13.1:
  * Make icon size of menu items configurable via GSettings key.
  * Change default menubar icon size to 22px.
  * GTK+-3.20: A bunch of new css names and style classes are added.
  * GTK+-3.0 workspace-switcher: Remove switching workspace on
    scroll events, this is now done by WnckPager itself.
  * GTK+3: A lot of deprecations removal and fixes.
  * Fix some build warnings.
  * Icon chooser: Use a proper icon name for missing icons.
  * GTK+3: Fix ButtonWidget appearing as a thin line on creation.
  * Drop "Ubuntu hacks" (--enable-ubuntu build option) as Ubuntu
    dropped that stuff long ago.
* Mon Jan 25 2016 sor.alexei@meowr.ru
- Update to version 1.13.0:
  * Gtk3: More panel BG rendering bugfixes.
  * Add separate "Delete" button in reload applet dialog, and make
    "Don't Reload" button do what it says (it won't delete applet
    permanently now).
  * Gtk3 workspace-switcher: Add fallback colour.
  * GTK+3: Fix rendering of custom backgrounds with 3.18 and newer.
  * Gtk3: Don't use deprecated gtk_misc_set_alignment.
  * Drop MateConf migration script.
* Mon Jan 25 2016 sor.alexei@meowr.ru
- Update to 1.12.2:
  * Drawer applet: Fix occasional stretching of drawer's panel over
    the entire screen.
  * Drawer applet: Fix occasional crash on applet removing.
  * GTK+3: Fix infinite loop with some themes.
  * Some more fixes.
* Wed Jan  6 2016 sor.alexei@meowr.ru
- Add missing XInput dependency.
* Mon Nov 30 2015 sor.alexei@meowr.ru
- Update to 1.12.1:
  * Gtk3: fix background in some themes.
  * Some more fixes.
* Thu Nov  5 2015 sor.alexei@meowr.ru
- Update to 1.12.0.
- Add baselibs.conf.
- Add "Show Desktop" Software Updater applets to openSUSE layout.
* Wed Oct 28 2015 sor.alexei@meowr.ru
- Update to 1.11.1 (changes since 1.10.1):
  * Fix moving applets to another panel.
  * Run dialog: Make app description label unfocusable.
  * Fix positions of locked applets if screen resolution changed.
  * Gtk3: Add a style class for applets to follow panel-menu-bar.
  * Require XRandR 1.3.
  * Retrieve strings directly from gschema (requires intltool
    0.50.1).
  * Switch to org.gnome.SessionManager (used by action buttons).
  * Multiple GTK+3 fixes.
  * Some more fixes and cleanups.
- Remove mate-panel-no-locked-applet-position-change.patch: fixed
  upstream.
- Do not require nm-applet.
* Tue Oct 27 2015 sor.alexei@meowr.ru
- Add mate-panel-no-locked-applet-position-change.patch.
* Tue Sep 29 2015 sor.alexei@meowr.ru
- Add missing gschema compile in mate-panel package.
* Sat Jul 11 2015 sor.alexei@meowr.ru
- Update to version 1.10.1:
  * Fish and clock applets: help fixes.
  * Drawer applet: fix opening after adding applets to it.
  * Force Quit applet: fix desktop freezing with GTK+3.
  * Some more GTK+3 fixes.
  * Some code cleanup.
  * Translations updates.
* Sun May 24 2015 sor.alexei@meowr.ru
- Add mate-panel-layouts-suse.patch: correct missing elements.
- Spec cleanup.
* Mon May  4 2015 p.drouand@gmail.com
- Update to version 1.10.0
  * No changes since version 1.9.90
* Mon Mar 23 2015 p.drouand@gmail.com
- Update to version 1.9.90 (unstable)
  * Bugfixes release
* Wed Dec 10 2014 p.drouand@gmail.com
- Make lib subpackage own /usr/share/mate, as it's a standard
  directory for applet stuff
* Mon Dec  8 2014 p.drouand@gmail.com
- Update to version 1.9.4 (unstable)
  + Gtk3, Fix deprecated use of gdk pointer api
  + Gtk3, Port all GtkStyle to GtkStyleContext
  + Gtk3, Port gtk_rc_parse_string to GtkCssProvider
  + Gtk3, Several small fixes
  + Several more fixes from monsta
  + GDK_KEY_* is also in Gtk+2.24
  + showdesktop: Fix the size of the icon
  + clock: Check allocated size before creating the shadow pixbuf
  + applet: Disconnect show and deactivate menu signals before
    destroying the applet menu
  + Add a gtkimage with the current pixbuf to button-widget
  + Fix implicit declaration of function of gdk_x11_set_sm_client_id
  + panel-addto: Remove the vbox as it is redundant.
  + na: Fix handling of SYSTEM_TRAY_CANCEL_MESSAGE
* Sun Nov 23 2014 p.drouand@gmail.com
- Update to version 1.9.3 (unstable)
  + Use gtk icon cache instead of custom one
  + Several small
* Tue Nov 11 2014 p.drouand@gmail.com
- Update to version 1.9.2 (unstable)
  + No changelog available
* Sun Oct 26 2014 p.drouand@gmail.com
- Update to version 1.9.1 (unstable)
  + No changelog available
- Fix version requirements
* Fri Oct  3 2014 p.drouand@gmail.com
- Add needed macros required by any package which contains gsettings
  schemas
- Remove gsettings calling from main package
* Fri Oct  3 2014 p.drouand@gmail.com
- Update to version 1.8.1
  + Fix "Add to Panel" context menu with multiple monitors.
* Sat Jul 12 2014 p.drouand@gmail.com
- The layout is installed with "make install"; just apply it;
  Anyway, it was installed on the wrong directory
* Sat Apr 26 2014 p.drouand@gmail.com
- Apply installed layout provided by branding for initial installation
  with a gsettings override file
* Wed Mar  5 2014 p.drouand@gmail.com
- Update to version 1.8.0
  + no changes since version 1.7.90
- Do not require hicolor-icon-theme; it's wrong
* Wed Feb 19 2014 p.drouand@gmail.com
- Update to version 1.7.90
  + added support for multiple layouts, stored in
    $(datadir)/mate-panel/layouts
  + added --layout parameter
  + add hook to support run dialog and main menu opening with metacity
  + switch to libwnck
  + use yelp-tools instead of mate-doc-utils
* Fri Feb 14 2014 p.drouand@gmail.com
- Update to version 1.7.2
  + fix various help documentation issues
  + fix GTK3 support
  + update translations
- Changes from version 1.7.1
  + better GTK3 support
  + bugs fix release
- Changes from version 1.7.0
  + initial GTK3 support
  + use yelp-tools instead of mate-doc-utils to build documentation
  + use libwnck instead of libmatewnck
- Replace libmatewnck-devel requirement with pkgconfig(libwnck-3.0)
- Replace pkgconfig(mate-doc-utils) requirement with yelp-tools
- Remove useless xz requirement
* Thu Oct 31 2013 p.drouand@gmail.com
- Fix libexecdir definition
* Fri Sep 20 2013 p.drouand@gmail.com
- Correct library subpackage group to System/Libraries
* Thu Sep 19 2013 johann.luce@wanadoo.fr
- Fix Obsoletes Problem for factory
* Mon Jul 15 2013 johann.luce@wanadoo.fr
- Update to version 1.6.1
  + fixes for make dist
  + fix g_type_init deprecation
  + fix indentation
  + remove mate-panelrc
  + fix a bug which made mate-panel --reset trigered a abrt alarm in fedora
    close issue https://github.com/mate-desktop/mate-panel/issues/111
  + libmate-panel-applet: Translate spanish comment
  + remove old mateconf script
  + save panel coordinates also if panel is expanded
  + allow to set panel orientation only for expanded panels
  + when the difference between timezones in the clock applet is less than 1 hour,
    an offset was not shown
  + add manpages for all binaries
  + wrap-workspaces option in workspace-switcher now persistent over sessions
  + modified the function workspace_switcher_applet_fill, which now correctly loads
    the wrap-workspaces GSchema entry.
  + clock: Allow users to set custom format in dconf-editor
  + fix panels issue when user has two separate X screens
  + fix MateConf convert file
  + fix vpath build of GIR
  + fix gtk-doc build
  + minor bugfix for the workspace switcher applet
  + fixed a bug when the toggle button belonging to wrap_workspaces is not toggled
  even though the value is TRUE on preferences dialog creation.
* Fri Apr 12 2013 p.drouand@gmail.com
- Add "Requires: gsettings-backend-dconf"; it's needed to save settings
  changes by user
* Mon Apr  8 2013 johann.luce@wanadoo.fr
- Add "Recommends:     %%{name}-lang" in spec file
* Wed Apr  3 2013 johann.luce@wanadoo.fr
- Update to version 1.6.0
  + update translations
* Sun Mar 17 2013 p.drouand@gmail.com
- Update to version 1.5.6:
  + Add transparency background function for workspace-switcher
  + Fix dconf minimum versions
  + Make GSettings schemas translatable
  + Add a wrap around option for workspace switcher:
  - a toggle button in the preferences (wrap_workspaces_toggle),
    a gboolean keeping track (wrap_workspaces)
  - another entry in the schema (gsettings)
  - and some minor code changes (which only affect the code when
    scrolling while on the last or first index)
* Fri Feb 22 2013 p.drouand@gmail.com
- Add branding subpackage and specific strings
  It is needed to allow to build an external branding
* Fri Feb  8 2013 p.drouand@gmail.com
- Update to version 1.5.5:
  + fix dependencies versions in configure
  + wncklet: Set orientation in window list
  + fix indentation
  + avoid double forking when launching apps it breaks
  + AC_CONFIG_HEADERS to please automake 1.13
* Thu Jan 24 2013 nmo.marques@gmail.com
- Update to version 1.5.4
  + fix mateweather units
  + wncklet: Fix window-list grouping preference
  + fix missing NULL pointer
- Remove mate-panel-1.5.3-null_pointer_fix.patch, upstreamed
* Thu Dec 20 2012 nmo.marques@gmail.com
- Add mate-panel-1.5.3-null_pointer_fix.patch; fix build,
  upstreamed
* Wed Dec 19 2012 nmo.marques@gmail.com
- Update to version 1.5.3
* Tue Nov 20 2012 nmo.marques@gmail.com
- Add NetworkManager-gnome to Requires, we want to make sure that
  we have installed the nm-applet.
* Tue Nov 20 2012 nmo.marques@gmail.com
- Remove conflicts for migration and change Requires to include
  gvfs-backends instead of gvfs-fuse.
* Sat Nov 10 2012 nmo.marques@gmail.com
- Add runtime dependency on gvfs-fuse; we need/want it. A few
  other packages could take it also, but mate-panel is a must, so
  it gets stuffed here.
* Sun Nov  4 2012 nmo.marques@gmail.com
- Add %%post/%%postun desktop database macros
* Fri Oct 19 2012 nmo.marques@gmail.com
- Update to 1.5.2.1
  + fix load background type at panel start
  + bump glib minimum to 2.26
* Tue Oct 16 2012 nmo.marques@gmail.com
- Update to 1.5.2
  + add --run-dialog option to open run dialog
  + fix build with dconf >= 0.13
- Remove mate-panel-1.5.1-fix_dconf_014.patch - upstreamed
* Mon Oct 15 2012 nmo.marques@gmail.com
- Add mate-panel-1.5.1-fix_dconf_014.patch: fix build issues for
  cases when dconf >= 0.14 (currently Factory). Cherry pick from
  upstream.
* Fri Oct 12 2012 nmo.marques@gmail.com
- Update to version 1.5.1
  + fix 64bit-portability-issues
  + fix dconf-requirements
  + fix mate-panel-applet-gsettings.c
- Remove mate-panel-rpmlintrc
* Thu Oct 11 2012 nmo.marques@gmail.com
- Update to version 1.5.0
  + update sources to final release version
* Wed Oct 10 2012 nmo.marques@gmail.com
- Update to version 1.4.9
  + THIS IS A TEST RELEASE
  + private test version
  + dropped all mateconf and matecomponent stuff in favor of DBus
    and gsettings
- Removed matecomponent and remove one library sub-package
- Split typelib into sub-spackage
- Obsolete old libraries and add conflicts to packages which might
  depend on them
* Sat Sep  8 2012 nmo.marques@gmail.com
- Fix loading of entries in post transaction and schemas install
* Sat Sep  8 2012 nmo.marques@gmail.com
- Exclude libmate-panel-applets-matecomponent.so module from main
  package for i386/i586/i686 where libexecdir and libdir match.
- Add %%fdupes macros for %%{_includedir}
* Sat Sep  8 2012 nmo.marques@gmail.com
- Update to version 1.4.0
  + fix build for 1140
- copypac to X11:MATE
  + minor cosmetic fixes
- Remove mate-panel-1.3.1-add_gmodules_to_linker.patch; fixed
* Sun Jun 17 2012 nmo.marques@gmail.com
- Update to version 1.3.1
- Add mate-panel-1.3.1-add_gmodules_to_linker.patch: add GMODULES
  to linker, reported upstream.
* Fri Feb  3 2012 fisiu@opensuse.org
- Initial package from version 1.2.0
